> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/triggers/aavev4/aavev4quotepricerangetrigger.md).

# AaveV4QuotePriceRangeTrigger

### Description

Trigger contract that verifies if current token price ratio is outside of given range specified during subscription

{% hint style="info" %}
Notes

* The contract computes the base/quote ratio by dividing the oracle prices of the two tokens.
* The trigger expects the `lowerPrice` and `upperPrice` inputs to be scaled by 1e18.
* It is possible to check only one side of the range by setting the other side price to `0`.
* Checks Aave V4 oracle for current prices and triggers if it's in a correct state.
  {% endhint %}

### Trigger ID

`0xec27e00e`

### SDK Action

```ts
const aaveV4QuotePriceRangeTrigger = new dfs.triggers.AaveV4QuotePriceRangeTrigger(
    spoke,
    baseTokenId,
    quoteTokenId,
    lowerPrice,
    upperPrice
);
```

### Subscription Parameters

```solidity
/// @param spoke Address of the spoke.
/// @param baseTokenId Reserve id of the base token which is quoted.
/// @param quoteTokenId Reserve id of the quote token.
/// @param lowerPrice Lower price of the base token in terms of the quote token that represents the triggerable point.
/// @param upperPrice Upper price of the base token in terms of the quote token that represents the triggerable point.
struct SubParams {
    address spoke;
    uint256 baseTokenId;
    uint256 quoteTokenId;
    uint256 lowerPrice;
    uint256 upperPrice;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/triggers/aavev4/aavev4quotepricerangetrigger.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
